<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_13) on Fri Feb 08 19:40:57 CET 2008 -->
<META http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
<TITLE>
MultiThreadedHttpConnectionManager (HttpClient 3.1 API)
</TITLE>

<META NAME="keywords" CONTENT="org.apache.commons.httpclient.MultiThreadedHttpConnectionManager class">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="MultiThreadedHttpConnectionManager (HttpClient 3.1 API)";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/MultiThreadedHttpConnectionManager.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../org/apache/commons/httpclient/MethodRetryHandler.html" title="interface in org.apache.commons.httpclient"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../org/apache/commons/httpclient/NameValuePair.html" title="class in org.apache.commons.httpclient"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?org/apache/commons/httpclient/MultiThreadedHttpConnectionManager.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="MultiThreadedHttpConnectionManager.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
org.apache.commons.httpclient</FONT>
<BR>
Class MultiThreadedHttpConnectionManager</H2>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><B>org.apache.commons.httpclient.MultiThreadedHttpConnectionManager</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD><A HREF="../../../../org/apache/commons/httpclient/HttpConnectionManager.html" title="interface in org.apache.commons.httpclient">HttpConnectionManager</A></DD>
</DL>
<HR>
<DL>
<DT><PRE>public class <B>MultiThreadedHttpConnectionManager</B><DT>extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A><DT>implements <A HREF="../../../../org/apache/commons/httpclient/HttpConnectionManager.html" title="interface in org.apache.commons.httpclient">HttpConnectionManager</A></DL>
</PRE>

<P>
Manages a set of HttpConnections for various HostConfigurations.
<P>

<P>
<DL>
<DT><B>Since:</B></DT>
  <DD>2.0</DD>
<DT><B>Author:</B></DT>
  <DD><a href="mailto:becke@u.washington.edu">Michael Becke</a>, Eric Johnson, <a href="mailto:mbowler@GargoyleSoftware.com">Mike Bowler</a>, Carl A. Dunham</DD>
</DL>
<HR>

<P>
<!-- =========== FIELD SUMMARY =========== -->

<A NAME="field_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Field Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/commons/httpclient/MultiThreadedHttpConnectionManager.html#DEFAULT_MAX_HOST_CONNECTIONS">DEFAULT_MAX_HOST_CONNECTIONS</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The default maximum number of connections allowed per host</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/commons/httpclient/MultiThreadedHttpConnectionManager.html#DEFAULT_MAX_TOTAL_CONNECTIONS">DEFAULT_MAX_TOTAL_CONNECTIONS</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The default maximum number of connections allowed overall</TD>
</TR>
</TABLE>
&nbsp;
<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../org/apache/commons/httpclient/MultiThreadedHttpConnectionManager.html#MultiThreadedHttpConnectionManager()">MultiThreadedHttpConnectionManager</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;No-args constructor</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/commons/httpclient/MultiThreadedHttpConnectionManager.html#closeIdleConnections(long)">closeIdleConnections</A></B>(long&nbsp;idleTimeout)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Closes connections that have been idle for at least the given amount of time.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/commons/httpclient/MultiThreadedHttpConnectionManager.html#deleteClosedConnections()">deleteClosedConnections</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Deletes all closed connections.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../org/apache/commons/httpclient/HttpConnection.html" title="class in org.apache.commons.httpclient">HttpConnection</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/commons/httpclient/MultiThreadedHttpConnectionManager.html#getConnection(org.apache.commons.httpclient.HostConfiguration)">getConnection</A></B>(<A HREF="../../../../org/apache/commons/httpclient/HostConfiguration.html" title="class in org.apache.commons.httpclient">HostConfiguration</A>&nbsp;hostConfiguration)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Gets an HttpConnection for a given host configuration.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../org/apache/commons/httpclient/HttpConnection.html" title="class in org.apache.commons.httpclient">HttpConnection</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/commons/httpclient/MultiThreadedHttpConnectionManager.html#getConnection(org.apache.commons.httpclient.HostConfiguration, long)">getConnection</A></B>(<A HREF="../../../../org/apache/commons/httpclient/HostConfiguration.html" title="class in org.apache.commons.httpclient">HostConfiguration</A>&nbsp;hostConfiguration,
              long&nbsp;timeout)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;<I>Use #getConnectionWithTimeout(HostConfiguration, long)</I></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/commons/httpclient/MultiThreadedHttpConnectionManager.html#getConnectionsInPool()">getConnectionsInPool</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Gets the total number of pooled connections.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/commons/httpclient/MultiThreadedHttpConnectionManager.html#getConnectionsInPool(org.apache.commons.httpclient.HostConfiguration)">getConnectionsInPool</A></B>(<A HREF="../../../../org/apache/commons/httpclient/HostConfiguration.html" title="class in org.apache.commons.httpclient">HostConfiguration</A>&nbsp;hostConfiguration)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Gets the total number of pooled connections for the given host configuration.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/commons/httpclient/MultiThreadedHttpConnectionManager.html#getConnectionsInUse()">getConnectionsInUse</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;<I>Use <A HREF="../../../../org/apache/commons/httpclient/MultiThreadedHttpConnectionManager.html#getConnectionsInPool()"><CODE>getConnectionsInPool()</CODE></A></I></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/commons/httpclient/MultiThreadedHttpConnectionManager.html#getConnectionsInUse(org.apache.commons.httpclient.HostConfiguration)">getConnectionsInUse</A></B>(<A HREF="../../../../org/apache/commons/httpclient/HostConfiguration.html" title="class in org.apache.commons.httpclient">HostConfiguration</A>&nbsp;hostConfiguration)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;<I>Use <A HREF="../../../../org/apache/commons/httpclient/MultiThreadedHttpConnectionManager.html#getConnectionsInPool(org.apache.commons.httpclient.HostConfiguration)"><CODE>getConnectionsInPool(HostConfiguration)</CODE></A></I></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../org/apache/commons/httpclient/HttpConnection.html" title="class in org.apache.commons.httpclient">HttpConnection</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/commons/httpclient/MultiThreadedHttpConnectionManager.html#getConnectionWithTimeout(org.apache.commons.httpclient.HostConfiguration, long)">getConnectionWithTimeout</A></B>(<A HREF="../../../../org/apache/commons/httpclient/HostConfiguration.html" title="class in org.apache.commons.httpclient">HostConfiguration</A>&nbsp;hostConfiguration,
                         long&nbsp;timeout)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Gets a connection or waits if one is not available.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/commons/httpclient/MultiThreadedHttpConnectionManager.html#getMaxConnectionsPerHost()">getMaxConnectionsPerHost</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;<I>Use <A HREF="../../../../org/apache/commons/httpclient/params/HttpConnectionManagerParams.html#getDefaultMaxConnectionsPerHost()"><CODE>HttpConnectionManagerParams.getDefaultMaxConnectionsPerHost()</CODE></A>,
 <A HREF="../../../../org/apache/commons/httpclient/HttpConnectionManager.html#getParams()"><CODE>HttpConnectionManager.getParams()</CODE></A>.</I></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/commons/httpclient/MultiThreadedHttpConnectionManager.html#getMaxTotalConnections()">getMaxTotalConnections</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;<I>Use <A HREF="../../../../org/apache/commons/httpclient/params/HttpConnectionManagerParams.html#getMaxTotalConnections()"><CODE>HttpConnectionManagerParams.getMaxTotalConnections()</CODE></A>,
 <A HREF="../../../../org/apache/commons/httpclient/HttpConnectionManager.html#getParams()"><CODE>HttpConnectionManager.getParams()</CODE></A>.</I></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../org/apache/commons/httpclient/params/HttpConnectionManagerParams.html" title="class in org.apache.commons.httpclient.params">HttpConnectionManagerParams</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/commons/httpclient/MultiThreadedHttpConnectionManager.html#getParams()">getParams</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns <A HREF="../../../../org/apache/commons/httpclient/params/HttpConnectionManagerParams.html" title="class in org.apache.commons.httpclient.params"><CODE>parameters</CODE></A> associated 
 with this connection manager.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/commons/httpclient/MultiThreadedHttpConnectionManager.html#isConnectionStaleCheckingEnabled()">isConnectionStaleCheckingEnabled</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;<I>Use <A HREF="../../../../org/apache/commons/httpclient/params/HttpConnectionParams.html#isStaleCheckingEnabled()"><CODE>HttpConnectionParams.isStaleCheckingEnabled()</CODE></A>,
 <A HREF="../../../../org/apache/commons/httpclient/HttpConnectionManager.html#getParams()"><CODE>HttpConnectionManager.getParams()</CODE></A>.</I></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/commons/httpclient/MultiThreadedHttpConnectionManager.html#releaseConnection(org.apache.commons.httpclient.HttpConnection)">releaseConnection</A></B>(<A HREF="../../../../org/apache/commons/httpclient/HttpConnection.html" title="class in org.apache.commons.httpclient">HttpConnection</A>&nbsp;conn)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Make the given HttpConnection available for use by other requests.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/commons/httpclient/MultiThreadedHttpConnectionManager.html#setConnectionStaleCheckingEnabled(boolean)">setConnectionStaleCheckingEnabled</A></B>(boolean&nbsp;connectionStaleCheckingEnabled)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;<I>Use <A HREF="../../../../org/apache/commons/httpclient/params/HttpConnectionParams.html#setStaleCheckingEnabled(boolean)"><CODE>HttpConnectionParams.setStaleCheckingEnabled(boolean)</CODE></A>,
 <A HREF="../../../../org/apache/commons/httpclient/HttpConnectionManager.html#getParams()"><CODE>HttpConnectionManager.getParams()</CODE></A>.</I></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/commons/httpclient/MultiThreadedHttpConnectionManager.html#setMaxConnectionsPerHost(int)">setMaxConnectionsPerHost</A></B>(int&nbsp;maxHostConnections)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;<I>Use <A HREF="../../../../org/apache/commons/httpclient/params/HttpConnectionManagerParams.html#setDefaultMaxConnectionsPerHost(int)"><CODE>HttpConnectionManagerParams.setDefaultMaxConnectionsPerHost(int)</CODE></A>,
 <A HREF="../../../../org/apache/commons/httpclient/HttpConnectionManager.html#getParams()"><CODE>HttpConnectionManager.getParams()</CODE></A>.</I></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/commons/httpclient/MultiThreadedHttpConnectionManager.html#setMaxTotalConnections(int)">setMaxTotalConnections</A></B>(int&nbsp;maxTotalConnections)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;<I>Use <A HREF="../../../../org/apache/commons/httpclient/params/HttpConnectionManagerParams.html#setMaxTotalConnections(int)"><CODE>HttpConnectionManagerParams.setMaxTotalConnections(int)</CODE></A>,
 <A HREF="../../../../org/apache/commons/httpclient/HttpConnectionManager.html#getParams()"><CODE>HttpConnectionManager.getParams()</CODE></A>.</I></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/commons/httpclient/MultiThreadedHttpConnectionManager.html#setParams(org.apache.commons.httpclient.params.HttpConnectionManagerParams)">setParams</A></B>(<A HREF="../../../../org/apache/commons/httpclient/params/HttpConnectionManagerParams.html" title="class in org.apache.commons.httpclient.params">HttpConnectionManagerParams</A>&nbsp;params)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Assigns <A HREF="../../../../org/apache/commons/httpclient/params/HttpConnectionManagerParams.html" title="class in org.apache.commons.httpclient.params"><CODE>parameters</CODE></A> for this 
 connection manager.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/commons/httpclient/MultiThreadedHttpConnectionManager.html#shutdown()">shutdown</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Shuts down the connection manager and releases all resources.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/commons/httpclient/MultiThreadedHttpConnectionManager.html#shutdownAll()">shutdownAll</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Shuts down and cleans up resources used by all instances of 
 MultiThreadedHttpConnectionManager.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#clone()" title="class or interface in java.lang">clone</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#equals(java.lang.Object)" title="class or interface in java.lang">equals</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#hashCode()" title="class or interface in java.lang">hashCode</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#toString()" title="class or interface in java.lang">toString</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ FIELD DETAIL =========== -->

<A NAME="field_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Field Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="DEFAULT_MAX_HOST_CONNECTIONS"><!-- --></A><H3>
DEFAULT_MAX_HOST_CONNECTIONS</H3>
<PRE>
public static final int <B>DEFAULT_MAX_HOST_CONNECTIONS</B></PRE>
<DL>
<DD>The default maximum number of connections allowed per host
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../../constant-values.html#org.apache.commons.httpclient.MultiThreadedHttpConnectionManager.DEFAULT_MAX_HOST_CONNECTIONS">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="DEFAULT_MAX_TOTAL_CONNECTIONS"><!-- --></A><H3>
DEFAULT_MAX_TOTAL_CONNECTIONS</H3>
<PRE>
public static final int <B>DEFAULT_MAX_TOTAL_CONNECTIONS</B></PRE>
<DL>
<DD>The default maximum number of connections allowed overall
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../../constant-values.html#org.apache.commons.httpclient.MultiThreadedHttpConnectionManager.DEFAULT_MAX_TOTAL_CONNECTIONS">Constant Field Values</A></DL>
</DL>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="MultiThreadedHttpConnectionManager()"><!-- --></A><H3>
MultiThreadedHttpConnectionManager</H3>
<PRE>
public <B>MultiThreadedHttpConnectionManager</B>()</PRE>
<DL>
<DD>No-args constructor
<P>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="shutdownAll()"><!-- --></A><H3>
shutdownAll</H3>
<PRE>
public static void <B>shutdownAll</B>()</PRE>
<DL>
<DD>Shuts down and cleans up resources used by all instances of 
 MultiThreadedHttpConnectionManager. All static resources are released, all threads are 
 stopped, and <A HREF="../../../../org/apache/commons/httpclient/MultiThreadedHttpConnectionManager.html#shutdown()"><CODE>shutdown()</CODE></A> is called on all live instances of 
 MultiThreadedHttpConnectionManager.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>See Also:</B><DD><A HREF="../../../../org/apache/commons/httpclient/MultiThreadedHttpConnectionManager.html#shutdown()"><CODE>shutdown()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="shutdown()"><!-- --></A><H3>
shutdown</H3>
<PRE>
public void <B>shutdown</B>()</PRE>
<DL>
<DD>Shuts down the connection manager and releases all resources.  All connections associated 
 with this class will be closed and released. 
 
 <p>The connection manager can no longer be used once shut down.  
 
 <p>Calling this method more than once will have no effect.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="isConnectionStaleCheckingEnabled()"><!-- --></A><H3>
isConnectionStaleCheckingEnabled</H3>
<PRE>
public boolean <B>isConnectionStaleCheckingEnabled</B>()</PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<I>Use <A HREF="../../../../org/apache/commons/httpclient/params/HttpConnectionParams.html#isStaleCheckingEnabled()"><CODE>HttpConnectionParams.isStaleCheckingEnabled()</CODE></A>,
 <A HREF="../../../../org/apache/commons/httpclient/HttpConnectionManager.html#getParams()"><CODE>HttpConnectionManager.getParams()</CODE></A>.</I>
<P>
<DD>Gets the staleCheckingEnabled value to be set on HttpConnections that are created.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD><code>true</code> if stale checking will be enabled on HttpConnections<DT><B>See Also:</B><DD><A HREF="../../../../org/apache/commons/httpclient/HttpConnection.html#isStaleCheckingEnabled()"><CODE>HttpConnection.isStaleCheckingEnabled()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="setConnectionStaleCheckingEnabled(boolean)"><!-- --></A><H3>
setConnectionStaleCheckingEnabled</H3>
<PRE>
public void <B>setConnectionStaleCheckingEnabled</B>(boolean&nbsp;connectionStaleCheckingEnabled)</PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<I>Use <A HREF="../../../../org/apache/commons/httpclient/params/HttpConnectionParams.html#setStaleCheckingEnabled(boolean)"><CODE>HttpConnectionParams.setStaleCheckingEnabled(boolean)</CODE></A>,
 <A HREF="../../../../org/apache/commons/httpclient/HttpConnectionManager.html#getParams()"><CODE>HttpConnectionManager.getParams()</CODE></A>.</I>
<P>
<DD>Sets the staleCheckingEnabled value to be set on HttpConnections that are created.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>connectionStaleCheckingEnabled</CODE> - <code>true</code> if stale checking will be enabled 
 on HttpConnections<DT><B>See Also:</B><DD><A HREF="../../../../org/apache/commons/httpclient/HttpConnection.html#setStaleCheckingEnabled(boolean)"><CODE>HttpConnection.setStaleCheckingEnabled(boolean)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="setMaxConnectionsPerHost(int)"><!-- --></A><H3>
setMaxConnectionsPerHost</H3>
<PRE>
public void <B>setMaxConnectionsPerHost</B>(int&nbsp;maxHostConnections)</PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<I>Use <A HREF="../../../../org/apache/commons/httpclient/params/HttpConnectionManagerParams.html#setDefaultMaxConnectionsPerHost(int)"><CODE>HttpConnectionManagerParams.setDefaultMaxConnectionsPerHost(int)</CODE></A>,
 <A HREF="../../../../org/apache/commons/httpclient/HttpConnectionManager.html#getParams()"><CODE>HttpConnectionManager.getParams()</CODE></A>.</I>
<P>
<DD>Sets the maximum number of connections allowed for a given
 HostConfiguration. Per RFC 2616 section 8.1.4, this value defaults to 2.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>maxHostConnections</CODE> - the number of connections allowed for each
 hostConfiguration</DL>
</DD>
</DL>
<HR>

<A NAME="getMaxConnectionsPerHost()"><!-- --></A><H3>
getMaxConnectionsPerHost</H3>
<PRE>
public int <B>getMaxConnectionsPerHost</B>()</PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<I>Use <A HREF="../../../../org/apache/commons/httpclient/params/HttpConnectionManagerParams.html#getDefaultMaxConnectionsPerHost()"><CODE>HttpConnectionManagerParams.getDefaultMaxConnectionsPerHost()</CODE></A>,
 <A HREF="../../../../org/apache/commons/httpclient/HttpConnectionManager.html#getParams()"><CODE>HttpConnectionManager.getParams()</CODE></A>.</I>
<P>
<DD>Gets the maximum number of connections allowed for a given
 hostConfiguration.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>The maximum number of connections allowed for a given
 hostConfiguration.</DL>
</DD>
</DL>
<HR>

<A NAME="setMaxTotalConnections(int)"><!-- --></A><H3>
setMaxTotalConnections</H3>
<PRE>
public void <B>setMaxTotalConnections</B>(int&nbsp;maxTotalConnections)</PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<I>Use <A HREF="../../../../org/apache/commons/httpclient/params/HttpConnectionManagerParams.html#setMaxTotalConnections(int)"><CODE>HttpConnectionManagerParams.setMaxTotalConnections(int)</CODE></A>,
 <A HREF="../../../../org/apache/commons/httpclient/HttpConnectionManager.html#getParams()"><CODE>HttpConnectionManager.getParams()</CODE></A>.</I>
<P>
<DD>Sets the maximum number of connections allowed for this connection manager.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>maxTotalConnections</CODE> - the maximum number of connections allowed</DL>
</DD>
</DL>
<HR>

<A NAME="getMaxTotalConnections()"><!-- --></A><H3>
getMaxTotalConnections</H3>
<PRE>
public int <B>getMaxTotalConnections</B>()</PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<I>Use <A HREF="../../../../org/apache/commons/httpclient/params/HttpConnectionManagerParams.html#getMaxTotalConnections()"><CODE>HttpConnectionManagerParams.getMaxTotalConnections()</CODE></A>,
 <A HREF="../../../../org/apache/commons/httpclient/HttpConnectionManager.html#getParams()"><CODE>HttpConnectionManager.getParams()</CODE></A>.</I>
<P>
<DD>Gets the maximum number of connections allowed for this connection manager.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>The maximum number of connections allowed</DL>
</DD>
</DL>
<HR>

<A NAME="getConnection(org.apache.commons.httpclient.HostConfiguration)"><!-- --></A><H3>
getConnection</H3>
<PRE>
public <A HREF="../../../../org/apache/commons/httpclient/HttpConnection.html" title="class in org.apache.commons.httpclient">HttpConnection</A> <B>getConnection</B>(<A HREF="../../../../org/apache/commons/httpclient/HostConfiguration.html" title="class in org.apache.commons.httpclient">HostConfiguration</A>&nbsp;hostConfiguration)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../org/apache/commons/httpclient/HttpConnectionManager.html#getConnection(org.apache.commons.httpclient.HostConfiguration)">HttpConnectionManager</A></CODE></B></DD>
<DD>Gets an HttpConnection for a given host configuration. If a connection is
 not available this method will block until one is.

 The connection manager should be registered with any HttpConnection that
 is created.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../org/apache/commons/httpclient/HttpConnectionManager.html#getConnection(org.apache.commons.httpclient.HostConfiguration)">getConnection</A></CODE> in interface <CODE><A HREF="../../../../org/apache/commons/httpclient/HttpConnectionManager.html" title="interface in org.apache.commons.httpclient">HttpConnectionManager</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>hostConfiguration</CODE> - the host configuration to use to configure the
 connection
<DT><B>Returns:</B><DD>an HttpConnection for the given configuration<DT><B>See Also:</B><DD><A HREF="../../../../org/apache/commons/httpclient/HttpConnectionManager.html#getConnection(org.apache.commons.httpclient.HostConfiguration)"><CODE>HttpConnectionManager.getConnection(HostConfiguration)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getConnectionWithTimeout(org.apache.commons.httpclient.HostConfiguration, long)"><!-- --></A><H3>
getConnectionWithTimeout</H3>
<PRE>
public <A HREF="../../../../org/apache/commons/httpclient/HttpConnection.html" title="class in org.apache.commons.httpclient">HttpConnection</A> <B>getConnectionWithTimeout</B>(<A HREF="../../../../org/apache/commons/httpclient/HostConfiguration.html" title="class in org.apache.commons.httpclient">HostConfiguration</A>&nbsp;hostConfiguration,
                                               long&nbsp;timeout)
                                        throws <A HREF="../../../../org/apache/commons/httpclient/ConnectionPoolTimeoutException.html" title="class in org.apache.commons.httpclient">ConnectionPoolTimeoutException</A></PRE>
<DL>
<DD>Gets a connection or waits if one is not available.  A connection is
 available if one exists that is not being used or if fewer than
 maxHostConnections have been created in the connectionPool, and fewer
 than maxTotalConnections have been created in all connectionPools.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../org/apache/commons/httpclient/HttpConnectionManager.html#getConnectionWithTimeout(org.apache.commons.httpclient.HostConfiguration, long)">getConnectionWithTimeout</A></CODE> in interface <CODE><A HREF="../../../../org/apache/commons/httpclient/HttpConnectionManager.html" title="interface in org.apache.commons.httpclient">HttpConnectionManager</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>hostConfiguration</CODE> - The host configuration specifying the connection
        details.<DD><CODE>timeout</CODE> - the number of milliseconds to wait for a connection, 0 to
 wait indefinitely
<DT><B>Returns:</B><DD>HttpConnection an available connection
<DT><B>Throws:</B>
<DD><CODE><A HREF="../../../../org/apache/commons/httpclient/HttpException.html" title="class in org.apache.commons.httpclient">HttpException</A></CODE> - if a connection does not become available in
 'timeout' milliseconds
<DD><CODE><A HREF="../../../../org/apache/commons/httpclient/ConnectionPoolTimeoutException.html" title="class in org.apache.commons.httpclient">ConnectionPoolTimeoutException</A></CODE> - if no connection becomes available before the
 timeout expires<DT><B>Since:</B></DT>
  <DD>3.0</DD>
<DT><B>See Also:</B><DD><A HREF="../../../../org/apache/commons/httpclient/HttpConnection.html#setHttpConnectionManager(org.apache.commons.httpclient.HttpConnectionManager)"><CODE>HttpConnection.setHttpConnectionManager(HttpConnectionManager)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getConnection(org.apache.commons.httpclient.HostConfiguration, long)"><!-- --></A><H3>
getConnection</H3>
<PRE>
public <A HREF="../../../../org/apache/commons/httpclient/HttpConnection.html" title="class in org.apache.commons.httpclient">HttpConnection</A> <B>getConnection</B>(<A HREF="../../../../org/apache/commons/httpclient/HostConfiguration.html" title="class in org.apache.commons.httpclient">HostConfiguration</A>&nbsp;hostConfiguration,
                                    long&nbsp;timeout)
                             throws <A HREF="../../../../org/apache/commons/httpclient/HttpException.html" title="class in org.apache.commons.httpclient">HttpException</A></PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<I>Use #getConnectionWithTimeout(HostConfiguration, long)</I>
<P>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../org/apache/commons/httpclient/HttpConnectionManager.html#getConnection(org.apache.commons.httpclient.HostConfiguration, long)">HttpConnectionManager</A></CODE></B></DD>
<DD>Gets an HttpConnection for a given host configuration. If a connection is
 not available, this method will block for at most the specified number of
 milliseconds or until a connection becomes available.

 The connection manager should be registered with any HttpConnection that
 is created.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../org/apache/commons/httpclient/HttpConnectionManager.html#getConnection(org.apache.commons.httpclient.HostConfiguration, long)">getConnection</A></CODE> in interface <CODE><A HREF="../../../../org/apache/commons/httpclient/HttpConnectionManager.html" title="interface in org.apache.commons.httpclient">HttpConnectionManager</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>hostConfiguration</CODE> - the host configuration to use to configure the
 connection<DD><CODE>timeout</CODE> - - the time (in milliseconds) to wait for a connection to
 become available, 0 to specify an infinite timeout
<DT><B>Returns:</B><DD>an HttpConnection for the given configuraiton
<DT><B>Throws:</B>
<DD><CODE><A HREF="../../../../org/apache/commons/httpclient/HttpException.html" title="class in org.apache.commons.httpclient">HttpException</A></CODE> - if no connection becomes available before the
 timeout expires<DT><B>See Also:</B><DD><A HREF="../../../../org/apache/commons/httpclient/HttpConnectionManager.html#getConnection(org.apache.commons.httpclient.HostConfiguration, long)"><CODE>HttpConnectionManager.getConnection(HostConfiguration, long)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getConnectionsInPool(org.apache.commons.httpclient.HostConfiguration)"><!-- --></A><H3>
getConnectionsInPool</H3>
<PRE>
public int <B>getConnectionsInPool</B>(<A HREF="../../../../org/apache/commons/httpclient/HostConfiguration.html" title="class in org.apache.commons.httpclient">HostConfiguration</A>&nbsp;hostConfiguration)</PRE>
<DL>
<DD>Gets the total number of pooled connections for the given host configuration.  This 
 is the total number of connections that have been created and are still in use 
 by this connection manager for the host configuration.  This value will
 not exceed the <A HREF="../../../../org/apache/commons/httpclient/MultiThreadedHttpConnectionManager.html#getMaxConnectionsPerHost()"><CODE>maximum number of connections per
 host</CODE></A>.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>hostConfiguration</CODE> - The host configuration
<DT><B>Returns:</B><DD>The total number of pooled connections</DL>
</DD>
</DL>
<HR>

<A NAME="getConnectionsInPool()"><!-- --></A><H3>
getConnectionsInPool</H3>
<PRE>
public int <B>getConnectionsInPool</B>()</PRE>
<DL>
<DD>Gets the total number of pooled connections.  This is the total number of 
 connections that have been created and are still in use by this connection 
 manager.  This value will not exceed the <A HREF="../../../../org/apache/commons/httpclient/MultiThreadedHttpConnectionManager.html#getMaxTotalConnections()"><CODE>maximum number of connections</CODE></A>.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>the total number of pooled connections</DL>
</DD>
</DL>
<HR>

<A NAME="getConnectionsInUse(org.apache.commons.httpclient.HostConfiguration)"><!-- --></A><H3>
getConnectionsInUse</H3>
<PRE>
public int <B>getConnectionsInUse</B>(<A HREF="../../../../org/apache/commons/httpclient/HostConfiguration.html" title="class in org.apache.commons.httpclient">HostConfiguration</A>&nbsp;hostConfiguration)</PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<I>Use <A HREF="../../../../org/apache/commons/httpclient/MultiThreadedHttpConnectionManager.html#getConnectionsInPool(org.apache.commons.httpclient.HostConfiguration)"><CODE>getConnectionsInPool(HostConfiguration)</CODE></A></I>
<P>
<DD>Gets the number of connections in use for this configuration.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>hostConfiguration</CODE> - the key that connections are tracked on
<DT><B>Returns:</B><DD>the number of connections in use</DL>
</DD>
</DL>
<HR>

<A NAME="getConnectionsInUse()"><!-- --></A><H3>
getConnectionsInUse</H3>
<PRE>
public int <B>getConnectionsInUse</B>()</PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<I>Use <A HREF="../../../../org/apache/commons/httpclient/MultiThreadedHttpConnectionManager.html#getConnectionsInPool()"><CODE>getConnectionsInPool()</CODE></A></I>
<P>
<DD>Gets the total number of connections in use.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>the total number of connections in use</DL>
</DD>
</DL>
<HR>

<A NAME="deleteClosedConnections()"><!-- --></A><H3>
deleteClosedConnections</H3>
<PRE>
public void <B>deleteClosedConnections</B>()</PRE>
<DL>
<DD>Deletes all closed connections.  Only connections currently owned by the connection
 manager are processed.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Since:</B></DT>
  <DD>3.0</DD>
<DT><B>See Also:</B><DD><A HREF="../../../../org/apache/commons/httpclient/HttpConnection.html#isOpen()"><CODE>HttpConnection.isOpen()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="closeIdleConnections(long)"><!-- --></A><H3>
closeIdleConnections</H3>
<PRE>
public void <B>closeIdleConnections</B>(long&nbsp;idleTimeout)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../org/apache/commons/httpclient/HttpConnectionManager.html#closeIdleConnections(long)">HttpConnectionManager</A></CODE></B></DD>
<DD>Closes connections that have been idle for at least the given amount of time.  Only
 connections that are currently owned, not checked out, are subject to idle timeouts.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../org/apache/commons/httpclient/HttpConnectionManager.html#closeIdleConnections(long)">closeIdleConnections</A></CODE> in interface <CODE><A HREF="../../../../org/apache/commons/httpclient/HttpConnectionManager.html" title="interface in org.apache.commons.httpclient">HttpConnectionManager</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>idleTimeout</CODE> - the minimum idle time, in milliseconds, for connections to be closed<DT><B>Since:</B></DT>
  <DD>3.0</DD>
</DL>
</DD>
</DL>
<HR>

<A NAME="releaseConnection(org.apache.commons.httpclient.HttpConnection)"><!-- --></A><H3>
releaseConnection</H3>
<PRE>
public void <B>releaseConnection</B>(<A HREF="../../../../org/apache/commons/httpclient/HttpConnection.html" title="class in org.apache.commons.httpclient">HttpConnection</A>&nbsp;conn)</PRE>
<DL>
<DD>Make the given HttpConnection available for use by other requests.
 If another thread is blocked in getConnection() that could use this
 connection, it will be woken up.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../org/apache/commons/httpclient/HttpConnectionManager.html#releaseConnection(org.apache.commons.httpclient.HttpConnection)">releaseConnection</A></CODE> in interface <CODE><A HREF="../../../../org/apache/commons/httpclient/HttpConnectionManager.html" title="interface in org.apache.commons.httpclient">HttpConnectionManager</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>conn</CODE> - the HttpConnection to make available.</DL>
</DD>
</DL>
<HR>

<A NAME="getParams()"><!-- --></A><H3>
getParams</H3>
<PRE>
public <A HREF="../../../../org/apache/commons/httpclient/params/HttpConnectionManagerParams.html" title="class in org.apache.commons.httpclient.params">HttpConnectionManagerParams</A> <B>getParams</B>()</PRE>
<DL>
<DD>Returns <A HREF="../../../../org/apache/commons/httpclient/params/HttpConnectionManagerParams.html" title="class in org.apache.commons.httpclient.params"><CODE>parameters</CODE></A> associated 
 with this connection manager.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../org/apache/commons/httpclient/HttpConnectionManager.html#getParams()">getParams</A></CODE> in interface <CODE><A HREF="../../../../org/apache/commons/httpclient/HttpConnectionManager.html" title="interface in org.apache.commons.httpclient">HttpConnectionManager</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Since:</B></DT>
  <DD>3.0</DD>
<DT><B>See Also:</B><DD><A HREF="../../../../org/apache/commons/httpclient/params/HttpConnectionManagerParams.html" title="class in org.apache.commons.httpclient.params"><CODE>HttpConnectionManagerParams</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="setParams(org.apache.commons.httpclient.params.HttpConnectionManagerParams)"><!-- --></A><H3>
setParams</H3>
<PRE>
public void <B>setParams</B>(<A HREF="../../../../org/apache/commons/httpclient/params/HttpConnectionManagerParams.html" title="class in org.apache.commons.httpclient.params">HttpConnectionManagerParams</A>&nbsp;params)</PRE>
<DL>
<DD>Assigns <A HREF="../../../../org/apache/commons/httpclient/params/HttpConnectionManagerParams.html" title="class in org.apache.commons.httpclient.params"><CODE>parameters</CODE></A> for this 
 connection manager.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../org/apache/commons/httpclient/HttpConnectionManager.html#setParams(org.apache.commons.httpclient.params.HttpConnectionManagerParams)">setParams</A></CODE> in interface <CODE><A HREF="../../../../org/apache/commons/httpclient/HttpConnectionManager.html" title="interface in org.apache.commons.httpclient">HttpConnectionManager</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Since:</B></DT>
  <DD>3.0</DD>
<DT><B>See Also:</B><DD><A HREF="../../../../org/apache/commons/httpclient/params/HttpConnectionManagerParams.html" title="class in org.apache.commons.httpclient.params"><CODE>HttpConnectionManagerParams</CODE></A></DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/MultiThreadedHttpConnectionManager.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../org/apache/commons/httpclient/MethodRetryHandler.html" title="interface in org.apache.commons.httpclient"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../org/apache/commons/httpclient/NameValuePair.html" title="class in org.apache.commons.httpclient"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?org/apache/commons/httpclient/MultiThreadedHttpConnectionManager.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="MultiThreadedHttpConnectionManager.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>
Copyright &copy; 2001-2008 Apache Software Foundation. All Rights Reserved.
</BODY>
</HTML>
